package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.DictDTO;

import java.util.List;

/**
 * Created by tgs on 2020/2/9.
 */
public interface DictApiService {
	int  saveDict(DictDTO dto);

	DictDTO findOneDict(String dictId);

	Page<DictDTO> pageList(BasePageInfo pageInfo);

	void deleteOne(String dictId);

	/**
	 * 根据key 获取列表
	 *
	 * @param dictKeys
	 * @return
	 */
	List<DictDTO> queryList(List<String> dictKeys);

	/**
	 * 根据key 获取一条
	 *
	 * @param dictKey dict关键
	 * @return {@link DictDTO }
	 * @author mozhu
	 * @date 2021-12-15 19:47:51
	 */
	DictDTO findOneDictByKey(String dictKey);
}
